#
# spec file for package sierra-gtk-theme
#
# Copyright (c) 2019 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%define         _name Sierra-gtk-theme
%define         _version 2019-12-16
Name:           sierra-gtk-theme
Version:        20191216
Release:        1.27
Summary:        MacOS High Sierra like theme for GTK 3, Gnome-Shell and more
License:        GPL-3.0-only
Group:          System/GUI/Other
URL:            https://github.com/vinceliuice/Sierra-gtk-theme
Source:         https://github.com/vinceliuice/Sierra-gtk-theme/archive/%{_version}.tar.gz
BuildRequires:  fdupes
# for gtk2 only
Recommends:     gtk2-engine-murrine
BuildArch:      noarch

%description
MacOS High Sierra like theme for GTK 3, GTK 2, Gnome-Shell, XFWM4 and Unity.

%prep
%setup -q -n %{_name}-%{_version}

%build

%install
mkdir -p %{buildroot}%{_datadir}/themes
./install.sh -d %{buildroot}%{_datadir}/themes
%fdupes %{buildroot}%{_datadir}/themes

%files
%license COPYING
%doc README.md
%{_datadir}/themes/

%changelog
* Fri Dec 27 2019 Michael Vetter <mvetter@suse.com>
- Update to 20191216:
  * Fix gnome 3.34 issues
  * Fix dark theme issues
* Wed May 22 2019 mvetter@suse.com
- Update to 20190507:
  * Fixed gnome 3.32 issues
* Thu Mar 21 2019 mvetter@suse.com
- Remove sierra-gtk-theme-rpmlintrc
- Use fdupes
- Cleanup requirements
* Fri Oct 19 2018 mvetter@suse.com
- Update to 20181012:
  * Fixed xfce4 gtk3 issues
  * Fixed nautilus 3.30 issues
* Tue Oct  2 2018 mvetter@suse.com
- Update to 20181001:
  * Fix Budgie issues
  * Fix XFCE issues
  * Fix GNOME shell 3.30 issues
  * Fix nemo bugs
  * Fix wingpanel bugs
- Remove destdir.patch: new install script allows specifying destdir
* Fri Jun  8 2018 mvetter@suse.com
- Update to 20180808:
  * Fix submenu issues
* Wed Jun  6 2018 mvetter@suse.com
- Update to 20180606:
  * Fix menu bugs
  * Add thin titlebutton version
* Sun Apr  8 2018 mvetter@suse.com
- Update to 20180408:
  * Update SVGs
  * Update SCSSs
  * Update scripts
- Update destdir.patch
* Wed Mar 28 2018 mvetter@suse.com
- update destdir.patch and link to GH issue
* Wed Mar 28 2018 mvetter@suse.com
- Initial package for openSUSE in version 20180312
